Package org.drinkless.tdlib

# Class TdApi.File

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.File

Enclosing class:
  `TdApi`

public static class TdApi.File extends TdApi.Object
Represents a file.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `expectedSize`
  Approximate file size in bytes in case the exact file size is unknown.
  `int`
  `id`
  Unique file identifier.
  `TdApi.LocalFile`
  `local`
  Information about the local copy of the file.
  `TdApi.RemoteFile`
  `remote`
  Information about the remote copy of the file.
  `long`
  `size`
  File size, in bytes; 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `File()`
  Represents a file.
  `File(int id, long size, long expectedSize, TdApi.LocalFile local, TdApi.RemoteFile remote)`
  Represents a file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Unique file identifier.

  - ### size

    public long size
    File size, in bytes; 0 if unknown.

  - ### expectedSize

    public long expectedSize
    Approximate file size in bytes in case the exact file size is unknown. Can be used to show download/upload progress.

  - ### local

    public TdApi.LocalFile local
    Information about the local copy of the file.

  - ### remote

    public TdApi.RemoteFile remote
    Information about the remote copy of the file.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### File

    public File()
    Represents a file.

  - ### File

    public File(int id, long size, long expectedSize, TdApi.LocalFile local, TdApi.RemoteFile remote)
    Represents a file.
    Parameters:
      `id` - Unique file identifier.
      `size` - File size, in bytes; 0 if unknown.
      `expectedSize` - Approximate file size in bytes in case the exact file size is unknown. Can be used to show download/upload progress.
      `local` - Information about the local copy of the file.
      `remote` - Information about the remote copy of the file.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR